From 44155e96aba0ffab5cd86bcaad9fc2e54a13ce71 Mon Sep 17 00:00:00 2001
From: Neil Hanlon <neil@shrug.pw>
Date: Mar 14 2024 15:33:01 +0000
Subject: init repo from template


---

diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..e41857b
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+/build/
+/cache/
+/public/
+/preview.pid
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
new file mode 100644
index 0000000..8383218
--- /dev/null
+++ b/.gitlab-ci.yml
@@ -0,0 +1,29 @@
+build:
+  stage: build
+  image:
+    name: antora/antora:latest
+  script:
+  - antora --log-failure-level fatal site.yml
+  artifacts:
+    paths:
+    - public/
+    expire_in: 1 week
+    expose_as: 'docs preview'
+  rules:
+  - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
+  environment:
+    name: preview MR_${CI_MERGE_REQUEST_IID}
+    url: https://${CI_SERVER_HOST}/${CI_PROJECT_PATH}/-/jobs/${CI_JOB_ID}/artifacts/file/public/index.html
+    auto_stop_in: 1 week
+pages:
+  stage: build
+  image:
+    name: antora/antora:latest
+  script:
+  - antora site.yml
+  artifacts:
+    paths:
+    - public
+  rules:
+  - if: $CI_COMMIT_BRANCH == "main" && $CI_PROJECT_ROOT_NAMESPACE == "fedora"
+
diff --git a/.gitlab/issue_templates/content.md b/.gitlab/issue_templates/content.md
new file mode 100644
index 0000000..5e47f4c
--- /dev/null
+++ b/.gitlab/issue_templates/content.md
@@ -0,0 +1,12 @@
+## Document URL
+
+
+## Section name
+
+
+## Error or suggestion
+
+
+## Additional information
+
+
diff --git a/LICENSE b/LICENSE
new file mode 100644
index 0000000..2d58298
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,428 @@
+Attribution-ShareAlike 4.0 International
+
+=======================================================================
+
+Creative Commons Corporation ("Creative Commons") is not a law firm and
+does not provide legal services or legal advice. Distribution of
+Creative Commons public licenses does not create a lawyer-client or
+other relationship. Creative Commons makes its licenses and related
+information available on an "as-is" basis. Creative Commons gives no
+warranties regarding its licenses, any material licensed under their
+terms and conditions, or any related information. Creative Commons
+disclaims all liability for damages resulting from their use to the
+fullest extent possible.
+
+Using Creative Commons Public Licenses
+
+Creative Commons public licenses provide a standard set of terms and
+conditions that creators and other rights holders may use to share
+original works of authorship and other material subject to copyright
+and certain other rights specified in the public license below. The
+following considerations are for informational purposes only, are not
+exhaustive, and do not form part of our licenses.
+
+     Considerations for licensors: Our public licenses are
+     intended for use by those authorized to give the public
+     permission to use material in ways otherwise restricted by
+     copyright and certain other rights. Our licenses are
+     irrevocable. Licensors should read and understand the terms
+     and conditions of the license they choose before applying it.
+     Licensors should also secure all rights necessary before
+     applying our licenses so that the public can reuse the
+     material as expected. Licensors should clearly mark any
+     material not subject to the license. This includes other CC-
+     licensed material, or material used under an exception or
+     limitation to copyright. More considerations for licensors:
+    wiki.creativecommons.org/Considerations_for_licensors
+
+     Considerations for the public: By using one of our public
+     licenses, a licensor grants the public permission to use the
+     licensed material under specified terms and conditions. If
+     the licensor's permission is not necessary for any reason--for
+     example, because of any applicable exception or limitation to
+     copyright--then that use is not regulated by the license. Our
+     licenses grant only permissions under copyright and certain
+     other rights that a licensor has authority to grant. Use of
+     the licensed material may still be restricted for other
+     reasons, including because others have copyright or other
+     rights in the material. A licensor may make special requests,
+     such as asking that all changes be marked or described.
+     Although not required by our licenses, you are encouraged to
+     respect those requests where reasonable. More considerations
+     for the public:
+    wiki.creativecommons.org/Considerations_for_licensees
+
+=======================================================================
+
+Creative Commons Attribution-ShareAlike 4.0 International Public
+License
+
+By exercising the Licensed Rights (defined below), You accept and agree
+to be bound by the terms and conditions of this Creative Commons
+Attribution-ShareAlike 4.0 International Public License ("Public
+License"). To the extent this Public License may be interpreted as a
+contract, You are granted the Licensed Rights in consideration of Your
+acceptance of these terms and conditions, and the Licensor grants You
+such rights in consideration of benefits the Licensor receives from
+making the Licensed Material available under these terms and
+conditions.
+
+
+Section 1 -- Definitions.
+
+  a. Adapted Material means material subject to Copyright and Similar
+     Rights that is derived from or based upon the Licensed Material
+     and in which the Licensed Material is translated, altered,
+     arranged, transformed, or otherwise modified in a manner requiring
+     permission under the Copyright and Similar Rights held by the
+     Licensor. For purposes of this Public License, where the Licensed
+     Material is a musical work, performance, or sound recording,
+     Adapted Material is always produced where the Licensed Material is
+     synched in timed relation with a moving image.
+
+  b. Adapter's License means the license You apply to Your Copyright
+     and Similar Rights in Your contributions to Adapted Material in
+     accordance with the terms and conditions of this Public License.
+
+  c. BY-SA Compatible License means a license listed at
+     creativecommons.org/compatiblelicenses, approved by Creative
+     Commons as essentially the equivalent of this Public License.
+
+  d. Copyright and Similar Rights means copyright and/or similar rights
+     closely related to copyright including, without limitation,
+     performance, broadcast, sound recording, and Sui Generis Database
+     Rights, without regard to how the rights are labeled or
+     categorized. For purposes of this Public License, the rights
+     specified in Section 2(b)(1)-(2) are not Copyright and Similar
+     Rights.
+
+  e. Effective Technological Measures means those measures that, in the
+     absence of proper authority, may not be circumvented under laws
+     fulfilling obligations under Article 11 of the WIPO Copyright
+     Treaty adopted on December 20, 1996, and/or similar international
+     agreements.
+
+  f. Exceptions and Limitations means fair use, fair dealing, and/or
+     any other exception or limitation to Copyright and Similar Rights
+     that applies to Your use of the Licensed Material.
+
+  g. License Elements means the license attributes listed in the name
+     of a Creative Commons Public License. The License Elements of this
+     Public License are Attribution and ShareAlike.
+
+  h. Licensed Material means the artistic or literary work, database,
+     or other material to which the Licensor applied this Public
+     License.
+
+  i. Licensed Rights means the rights granted to You subject to the
+     terms and conditions of this Public License, which are limited to
+     all Copyright and Similar Rights that apply to Your use of the
+     Licensed Material and that the Licensor has authority to license.
+
+  j. Licensor means the individual(s) or entity(ies) granting rights
+     under this Public License.
+
+  k. Share means to provide material to the public by any means or
+     process that requires permission under the Licensed Rights, such
+     as reproduction, public display, public performance, distribution,
+     dissemination, communication, or importation, and to make material
+     available to the public including in ways that members of the
+     public may access the material from a place and at a time
+     individually chosen by them.
+
+  l. Sui Generis Database Rights means rights other than copyright
+     resulting from Directive 96/9/EC of the European Parliament and of
+     the Council of 11 March 1996 on the legal protection of databases,
+     as amended and/or succeeded, as well as other essentially
+     equivalent rights anywhere in the world.
+
+  m. You means the individual or entity exercising the Licensed Rights
+     under this Public License. Your has a corresponding meaning.
+
+
+Section 2 -- Scope.
+
+  a. License grant.
+
+       1. Subject to the terms and conditions of this Public License,
+          the Licensor hereby grants You a worldwide, royalty-free,
+          non-sublicensable, non-exclusive, irrevocable license to
+          exercise the Licensed Rights in the Licensed Material to:
+
+            a. reproduce and Share the Licensed Material, in whole or
+               in part; and
+
+            b. produce, reproduce, and Share Adapted Material.
+
+       2. Exceptions and Limitations. For the avoidance of doubt, where
+          Exceptions and Limitations apply to Your use, this Public
+          License does not apply, and You do not need to comply with
+          its terms and conditions.
+
+       3. Term. The term of this Public License is specified in Section
+          6(a).
+
+       4. Media and formats; technical modifications allowed. The
+          Licensor authorizes You to exercise the Licensed Rights in
+          all media and formats whether now known or hereafter created,
+          and to make technical modifications necessary to do so. The
+          Licensor waives and/or agrees not to assert any right or
+          authority to forbid You from making technical modifications
+          necessary to exercise the Licensed Rights, including
+          technical modifications necessary to circumvent Effective
+          Technological Measures. For purposes of this Public License,
+          simply making modifications authorized by this Section 2(a)
+          (4) never produces Adapted Material.
+
+       5. Downstream recipients.
+
+            a. Offer from the Licensor -- Licensed Material. Every
+               recipient of the Licensed Material automatically
+               receives an offer from the Licensor to exercise the
+               Licensed Rights under the terms and conditions of this
+               Public License.
+
+            b. Additional offer from the Licensor -- Adapted Material.
+               Every recipient of Adapted Material from You
+               automatically receives an offer from the Licensor to
+               exercise the Licensed Rights in the Adapted Material
+               under the conditions of the Adapter's License You apply.
+
+            c. No downstream restrictions. You may not offer or impose
+               any additional or different terms or conditions on, or
+               apply any Effective Technological Measures to, the
+               Licensed Material if doing so restricts exercise of the
+               Licensed Rights by any recipient of the Licensed
+               Material.
+
+       6. No endorsement. Nothing in this Public License constitutes or
+          may be construed as permission to assert or imply that You
+          are, or that Your use of the Licensed Material is, connected
+          with, or sponsored, endorsed, or granted official status by,
+          the Licensor or others designated to receive attribution as
+          provided in Section 3(a)(1)(A)(i).
+
+  b. Other rights.
+
+       1. Moral rights, such as the right of integrity, are not
+          licensed under this Public License, nor are publicity,
+          privacy, and/or other similar personality rights; however, to
+          the extent possible, the Licensor waives and/or agrees not to
+          assert any such rights held by the Licensor to the limited
+          extent necessary to allow You to exercise the Licensed
+          Rights, but not otherwise.
+
+       2. Patent and trademark rights are not licensed under this
+          Public License.
+
+       3. To the extent possible, the Licensor waives any right to
+          collect royalties from You for the exercise of the Licensed
+          Rights, whether directly or through a collecting society
+          under any voluntary or waivable statutory or compulsory
+          licensing scheme. In all other cases the Licensor expressly
+          reserves any right to collect such royalties.
+
+
+Section 3 -- License Conditions.
+
+Your exercise of the Licensed Rights is expressly made subject to the
+following conditions.
+
+  a. Attribution.
+
+       1. If You Share the Licensed Material (including in modified
+          form), You must:
+
+            a. retain the following if it is supplied by the Licensor
+               with the Licensed Material:
+
+                 i. identification of the creator(s) of the Licensed
+                    Material and any others designated to receive
+                    attribution, in any reasonable manner requested by
+                    the Licensor (including by pseudonym if
+                    designated);
+
+                ii. a copyright notice;
+
+               iii. a notice that refers to this Public License;
+
+                iv. a notice that refers to the disclaimer of
+                    warranties;
+
+                 v. a URI or hyperlink to the Licensed Material to the
+                    extent reasonably practicable;
+
+            b. indicate if You modified the Licensed Material and
+               retain an indication of any previous modifications; and
+
+            c. indicate the Licensed Material is licensed under this
+               Public License, and include the text of, or the URI or
+               hyperlink to, this Public License.
+
+       2. You may satisfy the conditions in Section 3(a)(1) in any
+          reasonable manner based on the medium, means, and context in
+          which You Share the Licensed Material. For example, it may be
+          reasonable to satisfy the conditions by providing a URI or
+          hyperlink to a resource that includes the required
+          information.
+
+       3. If requested by the Licensor, You must remove any of the
+          information required by Section 3(a)(1)(A) to the extent
+          reasonably practicable.
+
+  b. ShareAlike.
+
+     In addition to the conditions in Section 3(a), if You Share
+     Adapted Material You produce, the following conditions also apply.
+
+       1. The Adapter's License You apply must be a Creative Commons
+          license with the same License Elements, this version or
+          later, or a BY-SA Compatible License.
+
+       2. You must include the text of, or the URI or hyperlink to, the
+          Adapter's License You apply. You may satisfy this condition
+          in any reasonable manner based on the medium, means, and
+          context in which You Share Adapted Material.
+
+       3. You may not offer or impose any additional or different terms
+          or conditions on, or apply any Effective Technological
+          Measures to, Adapted Material that restrict exercise of the
+          rights granted under the Adapter's License You apply.
+
+
+Section 4 -- Sui Generis Database Rights.
+
+Where the Licensed Rights include Sui Generis Database Rights that
+apply to Your use of the Licensed Material:
+
+  a. for the avoidance of doubt, Section 2(a)(1) grants You the right
+     to extract, reuse, reproduce, and Share all or a substantial
+     portion of the contents of the database;
+
+  b. if You include all or a substantial portion of the database
+     contents in a database in which You have Sui Generis Database
+     Rights, then the database in which You have Sui Generis Database
+     Rights (but not its individual contents) is Adapted Material,
+     including for purposes of Section 3(b); and
+
+  c. You must comply with the conditions in Section 3(a) if You Share
+     all or a substantial portion of the contents of the database.
+
+For the avoidance of doubt, this Section 4 supplements and does not
+replace Your obligations under this Public License where the Licensed
+Rights include other Copyright and Similar Rights.
+
+
+Section 5 -- Disclaimer of Warranties and Limitation of Liability.
+
+  a. UNLESS OTHERWISE SEPARATELY UNDERTAKEN BY THE LICENSOR, TO THE
+     EXTENT POSSIBLE, THE LICENSOR OFFERS THE LICENSED MATERIAL AS-IS
+     AND AS-AVAILABLE, AND MAKES NO REPRESENTATIONS OR WARRANTIES OF
+     ANY KIND CONCERNING THE LICENSED MATERIAL, WHETHER EXPRESS,
+     IMPLIED, STATUTORY, OR OTHER. THIS INCLUDES, WITHOUT LIMITATION,
+     WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR
+     PURPOSE, NON-INFRINGEMENT, ABSENCE OF LATENT OR OTHER DEFECTS,
+     ACCURACY, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR NOT
+     KNOWN OR DISCOVERABLE. WHERE DISCLAIMERS OF WARRANTIES ARE NOT
+     ALLOWED IN FULL OR IN PART, THIS DISCLAIMER MAY NOT APPLY TO YOU.
+
+  b. TO THE EXTENT POSSIBLE, IN NO EVENT WILL THE LICENSOR BE LIABLE
+     TO YOU ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION,
+     NEGLIGENCE) OR OTHERWISE FOR ANY DIRECT, SPECIAL, INDIRECT,
+     INCIDENTAL, CONSEQUENTIAL, PUNITIVE, EXEMPLARY, OR OTHER LOSSES,
+     COSTS, EXPENSES, OR DAMAGES ARISING OUT OF THIS PUBLIC LICENSE OR
+     USE OF THE LICENSED MATERIAL, EVEN IF THE LICENSOR HAS BEEN
+     ADVISED OF THE POSSIBILITY OF SUCH LOSSES, COSTS, EXPENSES, OR
+     DAMAGES. WHERE A LIMITATION OF LIABILITY IS NOT ALLOWED IN FULL OR
+     IN PART, THIS LIMITATION MAY NOT APPLY TO YOU.
+
+  c. The disclaimer of warranties and limitation of liability provided
+     above shall be interpreted in a manner that, to the extent
+     possible, most closely approximates an absolute disclaimer and
+     waiver of all liability.
+
+
+Section 6 -- Term and Termination.
+
+  a. This Public License applies for the term of the Copyright and
+     Similar Rights licensed here. However, if You fail to comply with
+     this Public License, then Your rights under this Public License
+     terminate automatically.
+
+  b. Where Your right to use the Licensed Material has terminated under
+     Section 6(a), it reinstates:
+
+       1. automatically as of the date the violation is cured, provided
+          it is cured within 30 days of Your discovery of the
+          violation; or
+
+       2. upon express reinstatement by the Licensor.
+
+     For the avoidance of doubt, this Section 6(b) does not affect any
+     right the Licensor may have to seek remedies for Your violations
+     of this Public License.
+
+  c. For the avoidance of doubt, the Licensor may also offer the
+     Licensed Material under separate terms or conditions or stop
+     distributing the Licensed Material at any time; however, doing so
+     will not terminate this Public License.
+
+  d. Sections 1, 5, 6, 7, and 8 survive termination of this Public
+     License.
+
+
+Section 7 -- Other Terms and Conditions.
+
+  a. The Licensor shall not be bound by any additional or different
+     terms or conditions communicated by You unless expressly agreed.
+
+  b. Any arrangements, understandings, or agreements regarding the
+     Licensed Material not stated herein are separate from and
+     independent of the terms and conditions of this Public License.
+
+
+Section 8 -- Interpretation.
+
+  a. For the avoidance of doubt, this Public License does not, and
+     shall not be interpreted to, reduce, limit, restrict, or impose
+     conditions on any use of the Licensed Material that could lawfully
+     be made without permission under this Public License.
+
+  b. To the extent possible, if any provision of this Public License is
+     deemed unenforceable, it shall be automatically reformed to the
+     minimum extent necessary to make it enforceable. If the provision
+     cannot be reformed, it shall be severed from this Public License
+     without affecting the enforceability of the remaining terms and
+     conditions.
+
+  c. No term or condition of this Public License will be waived and no
+     failure to comply consented to unless expressly agreed to by the
+     Licensor.
+
+  d. Nothing in this Public License constitutes or may be interpreted
+     as a limitation upon, or waiver of, any privileges and immunities
+     that apply to the Licensor or You, including from the legal
+     processes of any jurisdiction or authority.
+
+
+=======================================================================
+
+Creative Commons is not a party to its public
+licenses. Notwithstanding, Creative Commons may elect to apply one of
+its public licenses to material it publishes and in those instances
+will be considered the “Licensor.” The text of the Creative Commons
+public licenses is dedicated to the public domain under the CC0 Public
+Domain Dedication. Except for the limited purpose of indicating that
+material is shared under a Creative Commons public license or as
+otherwise permitted by the Creative Commons policies published at
+creativecommons.org/policies, Creative Commons does not authorize the
+use of the trademark "Creative Commons" or any other trademark or logo
+of Creative Commons without its prior written consent including,
+without limitation, in connection with any unauthorized modifications
+to any of its public licenses or any other arrangements,
+understandings, or agreements concerning use of licensed material. For
+the avoidance of doubt, this paragraph does not form part of the
+public licenses.
+
+Creative Commons may be contacted at creativecommons.org.
+
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..fab57ed
--- /dev/null
+++ b/README.md
@@ -0,0 +1,125 @@
+# Fedora Docs Template
+
+This repository contains a minimal source structure for a new Fedora Docs source.
+
+## Structure
+
+```
+|-- README.md
+|-- antora.yml ....................... 1.
+|-- docsbuilder.sh ................... 2.
+|-- nginx.conf ....................... 3.
+|-- site.yml ......................... 4.
+`-- modules
+    `-- ROOT ......................... 5.
+        |-- assets
+        |   `-- images ............... 6.
+        |       `-- *
+        |-- nav.adoc ................. 7.
+        `-- pages .................... 8.
+            `-- *.adoc
+```
+
+1. Metadata definition.
+2. A script that does a local build. It shows a preview of the site in a web browser by running a local web server. Uses podman or Docker.
+3. A configuration file used by the local preview web server.
+4. A definition file for the build script.
+5. A "root module of this documentation component". Please read below for an explanation.
+6. **Images** to be used on any page.
+7. **Menu definition.** Also defines the hierarchy of all the pages.
+8. **Pages with the actual content.** They can be also organised into subdirectories if desired.
+
+## Components and Modules
+
+Antora introduces two new terms:
+
+* **Component** — Simply put, a component is a part of the documentation website with its own menu. Components can also be versioned. In the Fedora Docs, we use separate components for user documentation, the Fedora Project, Fedora council, Mindshare, FESCO, but also subprojects such as CommOps or Modularity.
+* **Module** — A component can be broken down into multiple modules. Modules still share a single menu on the site, but their sources can be stored in different git repositories, even owned by different groups. The default module is called "ROOT" (that's what is in this example). If you don't want to use multiple modules, only use "ROOT". But to define more modules, simply duplicate the "ROOT" directory and name it anything you want. You can store modules in one or more git repositories.
+
+## Local preview
+
+This repo includes a script to build and preview the contents of this repository.
+
+**NOTE**: Please note that if you reference pages from other repositories, such links will be broken in this local preview as it only builds this repository. If you want to rebuild the whole Fedora Docs site, please see [the Fedora Docs build repository](https://pagure.io/fedora-docs/docs-fp-o/) for instructions.
+
+The script works on Fedora (using Podman or Docker) and macOS (using Docker).
+
+To build and preview the site, run:
+
+```
+$ ./docsbuilder.sh -p
+```
+
+The result will be available at http://localhost:8080
+
+To stop the preview:
+
+```
+$ ./docsbuilder.sh -k
+
+```
+
+### Installing Podman on Fedora
+
+Fedora Workstation doesn't come with Podman preinstalled by default — so you might need to install it using the following command:
+
+```
+$ sudo dnf install podman
+```
+
+### Preview as a part of the whole Fedora Docs site
+
+You can also build the whole Fedora Docs site locally to see your changes in the whole context.
+This is especially useful for checking if your `xref` links work properly.
+
+To do this, you need to clone the main [Fedora Docs build repository](https://pagure.io/fedora-docs/docs-fp-o), modify the `site.yml` file to reference a repo with your changes, and build it.
+Steps:
+
+Clone the main repository and cd into it:
+
+```
+$ git clone https://pagure.io/fedora-docs/docs-fp-o.git
+$ cd docs-fp-o
+```
+
+Find a reference to the repository you're changing in the `site.yml` file, and change it so it points to your change.
+So for example, if I made a modification to the Modularity docs, I would find:
+
+```
+...
+   - url: https://pagure.io/fedora-docs/modularity.git
+     branches:
+       - master
+...
+```
+
+And replaced it with a pointer to my fork:
+```
+...
+   - url: https://pagure.io/forks/asamalik/fedora-docs/modularity.git
+     branches:
+       - master
+...
+```
+
+I could also point to a local repository, using `HEAD` as a branch to preview the what's changed without the need of making a commit.
+
+**Note:** I would need to move the repository under the `docs-fp-o` directory, because the builder won't see anything above.
+So I would need to create a `repositories` directory in `docs-fp-o` and copy my repository into it.
+
+```
+...
+   - url: ./repositories/modularity
+     branches:
+       - HEAD
+...
+```
+
+To build the whole site, I would run the following in the `docs-fp-o` directory.
+
+```
+$ ./docsbuilder.sh -p
+```
+# License
+
+SPDX-License-Identifier: CC-BY-SA-4.0
diff --git a/antora.yml b/antora.yml
new file mode 100644
index 0000000..87a129b
--- /dev/null
+++ b/antora.yml
@@ -0,0 +1,22 @@
+# Name will be mostly visible in the URL. Treat it as an identifier.
+# Tip: If you want to use the local preview scripts that come with this
+# repository, please change this value in the site.yml file as well (under
+# site/start_page)
+name: cloud
+
+# Title will be visible on the page.
+title: Fedora Cloud
+
+# If you don't plan to have multiple versions of the docs (for example, to
+# document multiple versions of some software), you can ignore this field.
+# Otherwise, change "~" to a specific version.
+version: ~
+
+# We encourage you to name the index page as "index.adoc". If you absolutely
+# have to use a different name, please reflect it here. You can ignore this
+# field otherwise.
+start_page: ROOT:index.adoc
+
+# This lists all the menu definitions of your component.
+nav:
+- modules/ROOT/nav.adoc
diff --git a/docsbuilder.sh b/docsbuilder.sh
new file mode 100755
index 0000000..9507b84
--- /dev/null
+++ b/docsbuilder.sh
@@ -0,0 +1,292 @@
+#!/bin/bash
+# script to watch source directory for changes, and re-run build and preview
+#
+# License: MIT
+# https://fedoraproject.org/wiki/Licensing:MIT#Another_Minimal_variant_(found_in_libatomic_ops)
+#
+# Copyright (c) Fedora community contributors.
+#
+# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED OR
+# IMPLIED. ANY USE IS AT YOUR OWN RISK.
+#
+# Permission is hereby granted to use or copy this program for any purpose,
+# provided the above notices are retained on all copies.  Permission to modify
+# the code and to distribute modified code is granted, provided the above
+# notices are retained, and a notice that the code was modified is included
+# with the above copyright notice.
+
+
+script_name="docsbuilder.sh"
+script_source="https://gitlab.com/fedora/docs/templates/fedora-docs-template/-/raw/main/${script_name}"
+version="1.2.0"
+image="registry.gitlab.com/fedora/docs/docs-website/docs-fp-o:latest"
+cmd="--html-url-extension-style=indexify site.yml"
+srcdir="modules"
+buildir="public"
+previewpidfile="preview.pid"
+
+# 4913: for vim users, vim creates a temporary file to test it can write to
+# directory
+# https://groups.google.com/g/vim_dev/c/sppdpElxY44
+# .git: so we don't get rebuilds each time git metadata changes
+inotifyignore="\.git.*|4913"
+
+watch_and_build () {
+    if ! command -v inotifywait > /dev/null
+    then
+        echo "inotifywait command could not be found. Please install inotify-tools."
+        echo "On Fedora, run: sudo dnf install inotify-tools"
+        stop_preview_and_exit
+    else
+        # check for git
+        # required to get ignorelist
+        if ! command -v git > /dev/null
+        then
+            echo "git command could not be found. Please install git."
+            echo "On Fedora, run: sudo dnf install git-core"
+            stop_preview_and_exit
+        else
+            # Get files not being tracked, we don't watch for changes in these.
+            # Could hard code, but people use different editors that may create
+            # temporary files that are updated regularly and so on, so better
+            # to get the list from git. It'll also look at global gitingore
+            # settings and so on.
+            inotifyignore="$(git status -s --ignored | grep '^!!' | sed -e 's/^!! //' | tr '\n' '|')${inotifyignore}"
+        fi
+
+        while true
+        do
+            echo "Watching current directory (excluding: ${inotifyignore}) for changes and re-building as required. Use Ctrl C to stop."
+            inotifywait -q --exclude "($inotifyignore)" -e modify,create,delete,move -r . && echo "Change detected, rebuilding.." && build
+        done
+    fi
+}
+
+build () {
+    if [ "$(uname)" == "Darwin" ]; then
+        # Running on macOS.
+        # Let's assume that the user has the Docker CE installed
+        # which doesn't require a root password.
+        echo ""
+        echo "This build script is using Docker container runtime to run the build in an isolated environment."
+        echo ""
+        docker run --rm -it -v $(pwd):/antora $image $cmd
+
+    elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
+        # Running on Linux.
+        # Check whether podman is available, else faill back to docker
+        # which requires root.
+
+        if [ -n "$(command -v podman)" ]; then
+            echo ""
+            echo "This build script is using Podman to run the build in an isolated environment."
+            echo ""
+            podman run --rm -it -v $(pwd):/antora:z $image $cmd --stacktrace
+
+        elif [ -n "$(command -v docker)" ]; then
+            echo ""
+            echo "This build script is using Docker to run the build in an isolated environment."
+            echo ""
+
+            if groups | grep -wq "docker"; then
+                docker run --rm -it -v $(pwd):/antora:z $image $cmd
+            else
+                    echo ""
+                    echo "This build script is using $runtime to run the build in an isolated environment. You might be asked for your password."
+                    echo "You can avoid this by adding your user to the 'docker' group, but be aware of the security implications. See https://docs.docker.com/install/linux/linux-postinstall/."
+                    echo ""
+                    sudo docker run --rm -it -v $(pwd):/antora:z $image $cmd
+            fi
+
+        else
+            echo ""
+        echo "Error: Container runtime haven't been found on your system. Fix it by:"
+        echo "$ sudo dnf install podman"
+        exit 1
+        fi
+    fi
+}
+
+start_preview () {
+
+    # clean up a preview that may be running
+    stop_preview
+
+    # always run an initial build so preview shows latest version
+    build
+
+    if [ "$(uname)" == "Darwin" ]; then
+        # Running on macOS.
+        # Let's assume that the user has the Docker CE installed
+        # which doesn't require a root password.
+        echo "The preview will be available at http://localhost:8080/"
+        docker run --rm -v $(pwd):/antora:ro -v $(pwd)/nginx.conf:/etc/nginx/conf.d/default.conf:ro -p 8080:80 nginx
+
+    elif [ "$(expr substr $(uname -s) 1 5)" == "Linux" ]; then
+        # Running on Linux.
+        # Fedora Workstation has python3 installed as a default, so using that
+        echo ""
+        echo "The preview is available at http://localhost:8080"
+        echo ""
+        pushd "${buildir}"  > /dev/null 2>&1
+            python3 -m http.server 8080 &
+            echo "$!" > ../"${previewpidfile}"
+        popd > /dev/null 2>&1
+    fi
+}
+
+stop_preview () {
+    if [ -e "${previewpidfile}" ]
+    then
+        PID=$(cat "${previewpidfile}")
+        kill $PID
+        echo "Stopping preview server (running with PID ${PID}).."
+        rm -f "${previewpidfile}"
+    else
+        echo "No running preview server found to stop: no ${previewpidfile} file found."
+    fi
+}
+
+stop_preview_and_exit ()
+{
+    # stop and also exit the script
+
+    # if stop_preview is trapped, then SIGINT doesn't stop the build loop. So
+    # we need to make sure we also exit the script.
+
+    # stop_preview is called before other functions, so we cannot add exit to
+    # it.
+    stop_preview
+    exit 0
+}
+
+
+# https://apple.stackexchange.com/questions/83939/compare-multi-digit-version-numbers-in-bash/123408#123408
+version () { echo "$@" | awk -F. '{ printf("%d%03d%03d%03d\n", $1,$2,$3,$4);  }';  }
+
+
+check_update () {
+    if ! command -v curl > /dev/null
+    then
+        echo "curl command could not be found. Please install curl."
+        echo "On Fedora, run: sudo dnf install curl"
+        exit 0
+    fi
+    script_version="$(grep "^version=" ${script_name} | cut -d '=' -f2 | tr --delete '"')"
+    tempdir="$(mktemp -d)"
+    echo "$tempdir"
+    pushd "$tempdir" > /dev/null 2>&1
+        curl "$script_source" --silent --output "${script_name}"
+        upstream_version="$(grep "^version=" ${script_name} | cut -d '=' -f2 | tr --delete '"')"
+        echo "${upstream_version}"
+        if [ $(version $upstream_version) -gt $(version $script_version)  ]; then
+            echo "Update available"
+            echo "Script version $upstream_version is available at $script_source"
+            echo "This version is $script_version."
+            echo "Please use the '-U' option to update."
+            echo
+        fi
+    popd > /dev/null 2&>1
+}
+
+install_update () {
+    if ! command -v curl > /dev/null
+    then
+        echo "curl command could not be found. Please install curl."
+        echo "On Fedora, run: sudo dnf install curl"
+        exit 0
+    fi
+    curl "$script_source" --silent --output "${script_name}.new"
+    mv "${script_name}.new" "${script_name}"
+    chmod +x "${script_name}"
+}
+
+usage() {
+    echo "$0: Build and preview Fedora antora based documentation"
+    echo
+    echo "Usage: $0 [-awbpkh]"
+    echo
+    echo "-a: start preview, start watcher and rebuilder"
+    echo "-w: start watcher and rebuilder"
+    echo "-b: rebuild"
+    echo "-p: start_preview"
+    echo "-k: stop_preview"
+    echo "-h: print this usage text and exit"
+    echo "-u: check builder script update"
+    echo "-U: install builder script from upstream"
+    echo
+    echo "Maintained by the Fedora documentation team."
+    echo "Please contact on our channels: https://docs.fedoraproject.org/en-US/fedora-docs/#find-docs"
+}
+
+# check if the script is being run in a Fedora docs repository
+if [ ! -e "site.yml" ]
+then
+    echo "site.yml not be found."
+    echo "This does not appear to be a Fedora Antora based documentation repository."
+    echo "Exiting."
+    echo
+    usage
+    exit 1
+fi
+
+
+if [ $# -lt 1 ]
+then
+    echo "No options provided, running preview with watch and build."
+    echo "Run script with '-h' to see all available options."
+    echo
+    echo
+    trap stop_preview_and_exit INT
+    start_preview
+    watch_and_build
+    stop_preview
+fi
+
+# parse options
+while getopts "awbpkhuU" OPTION
+do
+    case $OPTION in
+        a)
+            # handle sig INT to stop the preview
+            trap stop_preview_and_exit INT
+            start_preview
+            watch_and_build
+            stop_preview
+            exit 0
+            ;;
+        w)
+            watch_and_build
+            exit 0
+            ;;
+        b)
+            build
+            exit 0
+            ;;
+        p)
+            start_preview
+            echo "Please run ./${script_name} -k to stop the preview server"
+            exit 0
+            ;;
+        k)
+            stop_preview
+            exit 0
+            ;;
+        h)
+            usage
+            exit 0
+            ;;
+        u)
+            check_update
+            exit 0
+            ;;
+        U)
+            install_update
+            exit 0
+            ;;
+        ?)
+            usage
+            exit 1
+            ;;
+    esac
+done
diff --git a/modules/ROOT/nav.adoc b/modules/ROOT/nav.adoc
new file mode 100644
index 0000000..3c92acc
--- /dev/null
+++ b/modules/ROOT/nav.adoc
@@ -0,0 +1 @@
+* xref:faq.adoc[FAQ]
diff --git a/modules/ROOT/pages/faq.adoc b/modules/ROOT/pages/faq.adoc
new file mode 100644
index 0000000..32a9d51
--- /dev/null
+++ b/modules/ROOT/pages/faq.adoc
@@ -0,0 +1,7 @@
+= Frequently Asked Questions (FAQ)
+
+[qanda]
+Can I see a built preview of this template to get a better idea about the result?::
+    Of course you can! Just look at the README of the repository — it should tell you everything.
+Is writing documentation hard and dreadful?::
+    Absolutely not. Writing documentation in asciidoc is very simple and straightforward. And in fact, writing documentation makes you very happy. Just try and see for yourself!
diff --git a/modules/ROOT/pages/index.adoc b/modules/ROOT/pages/index.adoc
new file mode 100644
index 0000000..32ca697
--- /dev/null
+++ b/modules/ROOT/pages/index.adoc
@@ -0,0 +1,15 @@
+= Fedora Cloud SIG
+
+@TODO(davdunc): soliloquize about the SIG
+
+== Meetings
+
+The Fedora Cloud SIG has a bi-weekly meeting. The meeting usually happens in #fedora-meeting-1 on irc.libera.chat and the schedule for the meeting can be found here: https://apps.fedoraproject.org/calendar/cloud
+
+== Resources
+
+* Matrix room: https://matrix.to/#/#cloud:fedoraproject.org
+* Source Code: https://pagure.io/cloud-sig
+* Issue Tracker: https://pagure.io/cloud-sig/issues
+* Fedora Cloud Mailing List: https://lists.fedoraproject.org/archives/list/cloud@lists.fedoraproject.org/
+
diff --git a/nginx.conf b/nginx.conf
new file mode 100644
index 0000000..f7093b3
--- /dev/null
+++ b/nginx.conf
@@ -0,0 +1,14 @@
+server {
+    listen       80;
+    server_name  localhost;
+
+    location / {
+        root   /antora/public;
+        index  index.html index.htm;
+    }
+
+    error_page   500 502 503 504  /50x.html;
+    location = /50x.html {
+        root   /usr/share/nginx/html;
+    }
+}
diff --git a/site.yml b/site.yml
new file mode 100644
index 0000000..a80b4d3
--- /dev/null
+++ b/site.yml
@@ -0,0 +1,20 @@
+site:
+  title: Fedora Cloud Documentation
+  start_page: cloud::index.adoc
+content:
+  sources:
+   - url: .
+     branches: HEAD
+ui:
+  bundle:
+    url: https://gitlab.com/fedora/docs/docs-website/ui-bundle/-/jobs/artifacts/HEAD/raw/build/ui-bundle.zip?job=bundle-stable
+    snapshot: true
+  default_layout: with_menu
+output:
+  clean: true
+  dir: ./public
+runtime:
+  fetch: true
+  cache_dir: ./cache
+urls:
+  html_extension_style: indexify

